Subject: Re: I-D ACTION:draft-baker-ipv6-renumber-procedure-01.txt

From: Brian E Carpenter <[email-masked]>
Date: Thu, 06 Nov 2003 13:31:19 +0100

Hi,

As others have said, this is a very important document.
I think it's in pretty good shape, so here are both my
substantive comments and my nits.

> 2.2.2 Mechanisms for address assignment to interfaces
>
>    IPv6 addresses may be assigned through SLAC, DHCP, and manual
>    processes. 

SLAC is defined in the terminology section, but it isn't a standard
acronym so I would provide a hint here.

> 2.3 Configuring network elements for the new prefix
...
>    Once the new prefix has been added to the network infrastructure,
>    access-lists, route-maps and other network configuration options that
>    use IP addresses should be checked to ensure that hosts and services
>    that use the new prefix will behave as they did with the old one.

I think it is worth adding "including firewalls and other middleboxes" 
after hosts, to make it clear how broad the scope is.

> 3.1 "Find all the places..."
...
>   o  should obtain addresses of other systems or servifces from the
>      DNS, rather then having those addresses manuall configured,

s/servifces/services/
s/manuall/manually/

>   o  must obtain a new translation if a new session is opened with the
>      same service after the DNS record's lifetime expires,
>
>   o  when addresses are configured rather than translated, should
>      provide a convenient programmatic method to reconfigure the
>      addresses that can be executed using a script or its equivalent.

I would add

   o  must be capable of handling (and if appropriate, storing) more than
      one IPv6 address at the same time.

I'm assuming that during renumbering, there will be at least two valid
addresses, and an application that simply ignores every address after the
first one is wrong. There is an interaction here with the address
selection rules that should perhaps be discussed, and perhaps some of
this belongs in draft-shin-v6ops-application-transition-02.txt too.

   Brian

[email-masked] wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
>         Title           : Procedures for Renumbering an IPv6 Network without a Flag Day
>         Author(s)       : F. Baker, et. al.
>         Filename        : draft-baker-ipv6-renumber-procedure-01.txt
>         Pages           : 19
>         Date            : 2003-10-3
> 
> This document describes the steps in a procedure that can be used to
> transition from the use of an existing prefix to a new prefix in a
> network. It uses IPv6's intrinsic ability to assign multiple
> addresses to a network interface to provide continuity of network
> service through a
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-baker-ipv6-renumber-procedure-01.txt